CREATE TABLE cn_srp_assess_all_int (
    SRP_ASSESS_ID             NUMBER(18, 0) ,
    SRP_COMP_PLAN_ID          NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    COMP_PLAN_ID              NUMBER(18, 0)     NOT NULL,
    ASSESSMENT_ID             NUMBER(18, 0)     NOT NULL,
    COMP_PLAN_ASSESS_ID       NUMBER(18, 0)     NOT NULL,
    ASSESS_TEMPLATE_ID        NUMBER(18, 0)     NOT NULL,
    OWNER_ID                  NUMBER(18, 0)     NOT NULL,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE              NOT NULL,
    ASSESS_STATUS             VARCHAR2(120)     NOT NULL,
    STATUS                    VARCHAR2(120) ,
    CURRENT_OWNER_TYPE        VARCHAR2(120)     NOT NULL,
    OVERRIDE_SCORE            NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    OVERRIDE_JUSTIFICATION    VARCHAR2(4000),
    WORKER_ID                 NUMBER        ,
    SRP_ASSESS_ID             NUMBER(18, 0) ,
    SRP_COMP_PLAN_ID          NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    COMP_PLAN_ID              NUMBER(18, 0)     NOT NULL,
    ASSESSMENT_ID             NUMBER(18, 0)     NOT NULL,
    COMP_PLAN_ASSESS_ID       NUMBER(18, 0)     NOT NULL,
    ASSESS_TEMPLATE_ID        NUMBER(18, 0)     NOT NULL,
    OWNER_ID                  NUMBER(18, 0)     NOT NULL,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE              NOT NULL,
    ASSESS_STATUS             VARCHAR2(120)     NOT NULL,
    STATUS                    VARCHAR2(120) ,
    CURRENT_OWNER_TYPE        VARCHAR2(120)     NOT NULL,
    OVERRIDE_SCORE            NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    OVERRIDE_JUSTIFICATION    VARCHAR2(4000),
    WORKER_ID                 NUMBER        ,
    CONSTRAINT pk_cn_srp_assess_all_int PRIMARY KEY (SRP_ASSESS_ID, WORKER_ID, SRP_ASSESS_ID, WORKER_ID)
);
